As we want qemu symbols be exported to modules we should use the
gmodule-export-2.0 pkg-config instead of gmodule-2.0.

Cc: Marc-André Lureau <marcandre.lur...@gmail.com>
Signed-off-by: Gerd Hoffmann <kra...@redhat.com>
Message-id: 20180308085301.8875-2-kra...@redhat.com
---
 configure | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/configure b/configure
index f74e1f3b7c..973dbb99ac 100755
--- a/configure
+++ b/configure
@@ -3352,7 +3352,7 @@ else
 fi
 glib_modules=gthread-2.0
 if test "$modules" = yes; then
-    glib_modules="$glib_modules gmodule-2.0"
+    glib_modules="$glib_modules gmodule-export-2.0"
 fi
 
 # This workaround is required due to a bug in pkg-config file for glib as it
-- 
2.9.3


Reply via email to